Skip to main content
GET
Get content item

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

The content item's identifier, one of: UUID, source ID, legacy ID

Query Parameters

segments
string

The level of detail to show for segments in the response: 'none', 'partial' or 'full'

words
string

The level of detail to show for segment words in the response: 'none', 'partial' or 'full'

Response

200 - application/json

OK

id
string | null

Unique identifier for the content. Can be either a UUID or an externally provided source_id

status
enum<string>

The current status of the content processing operation. This value will change as the content is processed. ready means the content is prepared and indexed, but audio generation wasn't requested (generate_audio is false). Reaching ready sends a content.ready webhook with the ready state and without media, a preparation failure sends audio.error.

Available options:
draft,
ready,
queued,
processing,
processed,
skipped,
error
type
enum<string>

The content type. Possible values are auto_segment, manual_segment or audio_upload

Available options:
auto_segment,
manual_segment,
audio_upload
title
string | null

The content title

Required string length: 1 - 500
summary
string | null

The content summary

Maximum string length: 2000
body
string | null

The content body

Maximum string length: 100000
title_enabled
boolean

The flag to enable title segments in audio

body_enabled
boolean

The flag to enable body segments in audio

summary_enabled
boolean

The flag to enable summary audio

summary_title_enabled
boolean

The flag to include title text and audio segments in summaries

source_id
string | null

The externally-provided source identifier of the content

source_url
string | null

The URL that contains the source content

author
string | null

The author of the content

tags
string[]

Arbitrary tags associated with the content, used for playlist filtering

image_url
string | null
deprecated

The feature image URL of the content

metadata
object | null
deprecated

The arbitrary metadata associated with content

audio
object[]

The array of audio files for the entire content

video
object[]

The array of video files for the entire content

audio_with_intro_outro
object[]
summarization
object
segments
object[] | null

The array of segments in the content

published
boolean

Whether the content will appear in the BeyondWords players and podcast feeds

video_published
boolean

Whether the content will appear in the BeyondWords video players and podcast video feeds

publish_date
string | null

Time at which the content was published or is scheduled to be published (ISO 8601)

ads_enabled
boolean

Whether adverts will play for this content in the BeyondWords players

ai_summary_prompt
string | null

The last used AI prompt for summary generation

Maximum string length: 1000
ai_summary_updates_enabled
boolean

Whether the summary segments will be regenerated when the text content is updated

auto_segment_updates_enabled
boolean

Whether the media files will be regenerated when the text content is updated with auto_segment. Content with generate_audio set to false is always prepared and indexed again on text updates

generate_audio
boolean

Whether audio (and dependent video) is generated automatically for the content. Content with false is prepared and indexed without audio generation and has the ready status unless it already has audio. Not applicable to audio_upload content

background_track
object | null
feature_image
object | null
feature_video
object | null
summarization_settings
object | null
video_settings
object | null
preprocessing_settings
object | null
language
string | null

The default language of the content

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)